Attribute VB_Name = "basINI"
' vb@rchiv - Das groe Visual-Basic Archiv
' Tools & Components - Entwicklerkomponenten fr VB-32 Bit
'
' Copyright 2000-2001 Dieter Otter
'
' Der Programmcode darf fr eigene Zwecke verwendet werden.
' Es ist nicht erlaubt Inhalte des Projektes ohne unserer
' Zustimmung zum Download anzubieten.
'
' Die Beispielskripte sind Computerprogramme, die gem
' des 2 Abs. 1 Nr. 69 aff. UrhG den urheberrechtlichen
' Schutz geniessen und drfen nicht fr eigene ausgegeben
' werden.
'
' Dieter Otter
' Software-Entwicklung & Vertrieb
' info@vbarchiv.de
' http://www.vbarchiv.de
' http://www.visualbasic-archiv.de
'
' info@tools4vb.de
' http://www.tools4vb.de
'======================================================

' Erweitert mit Sub GetRTSettingsINIFile() und Public INIFile
' 04.02.04 Hil
'======================================================
Option Explicit

' zunchst die bentigten API-Deklarationen (INI)
Public Declare Function WritePrivateProfileString Lib _
  "kernel32" Alias "WritePrivateProfileStringA" _
  (ByVal lpApplicationName As String, _
  ByVal lpKeyName As Any, ByVal lpString As Any, _
  ByVal lpFileName As String) As Long

Public Declare Function GetPrivateProfileString Lib _
  "kernel32" Alias "GetPrivateProfileStringA" _
  (ByVal lpApplicationName As String, _
  ByVal lpKeyName As Any, ByVal lpDefault As String, _
  ByVal lpReturnedString As String, ByVal nSize As Long, _
  ByVal lpFileName As String) As Long

' INI-Datei
Public INIFile As String

' Eintrag aus INI-Datei lesen
Public Function GetIniString(ByVal Sektion As String, _
  ByVal Titel As String, ByVal Vorgabe As String, _
  ByVal INIFile As String, _
  Optional ByVal nSize As Integer = 256) As String
  
  Dim lResult As Long
  Dim sValue As String
  
  sValue = Space$(nSize)
  lResult = GetPrivateProfileString(Sektion, Titel, _
    Vorgabe, sValue, nSize, INIFile)
  GetIniString = Left$(sValue, lResult)
End Function
Public Sub GetRTSettingsINIFile()
  INIFile = App.Path & "\" & "Pfade.ini"
End Sub
